#!/bin/sh
#/opt/local/bin/ramdisk-2tiers.sh
#
# Objectif: Créer un disque virtuel à partir des 2/3 de la
# ................. MEV libre d'un système Puppy au démarrage.
#
# Original par Pizza'sGood, ramdisk_gui, 27 déc. 2011.
# Source : http://murga-linux.com/puppy/viewtopic.php?p=592060&sort=lastpost#592060
# (relevé le 14 oct. 2017).
#
# Nouvelles parties : © Christian L'Écuyer, Gatineau (Qc), Canada, 14-16 oct. 2017. GPL3
# (Alias musher0 [forum Puppy].) # https://opensource.org/licenses/GPL-3.0
#################
#   	This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#		This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#    	You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
##########
####
ChecK="`df | awk '$NF ~ /ram1/'`" # musher0, 17-10-14
if [ "$ChecK" = "" ];then # musher0, 17-10-14
	MOUNTPOINT="/mnt/ram1"
	LC_ALL=C;SIZE="`free -m | awk '/Mem/ {print $4/3*2}'`";LC_ALL=""
	SIZE="${SIZE%.*}" #	[ "`echo $[ $SIZE % 2]`" != "0" ]
	# Laisser tomber les décimales possibles.

	mkdir -p "$MOUNTPOINT" # s'assurer que le point de montage existe
	mount -t tmpfs -o size="${SIZE}"m tmpfs "$MOUNTPOINT" # monter le DV
	sleep 0.5s

	MsG="Un disque virtuel de $SIZE Mb a été créé."
	Xdialog --title "Créé" --ok-label "OK" --timeout 5 --msgbox "$MsG" 0 0

	rox /mnt/ram1 &

	exec /opt/local/bin/ramdisk_cp.sh & # Copier le contenu de /mnt/home/ramdisk.

else # Cette section par musher0, 17-10-14
	Xdialog --title "Existe" --ok-label "OK" --timeout 5 --msgbox "Un DV existe déja." 0 0
fi # Fin de la section par musher0, 17-10-14

########## Référence ####
# Ajouts par musher0
#
# Divers scripts d'une ligne pour faire des vérifications sur ce DV.
#
# 1a) # echo -e "Location\tUsed\tAvail.\t%\tName";df -h | awk '$NF ~ /ramdisk/ { print $1"\t\t"$3"\t"$4"\t"$5"\t"$6}'
# OU
# 1b) echo;df | head -1;df | grep ramdisk
# Les lignes ci-dessus vous diront la taille et le degré d'occupation du DV.
#
##
# 2) df | head -1;df | grep ram
#
# 3) df | awk '$2=="1024000" && $NF ~ /ramdisk/'
# Ces deux-ci vous disent seulement s'il existe un DV.
####
